# Review: https://bugzilla.redhat.com/show_bug.cgi?id=498125

Name:           lxde-settings-daemon
Version:        0.4.1
Release:        1%{?dist}
Summary:        XSettings Daemon for LXDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.4.1-fix-load-sysconfdir-config.patch
# Use vendor's artwork
Patch10:        %{name}-0.4-vendor.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig glib2-devel libX11-devel
# Use vendor's artwork
Requires:       system-icon-theme

%description
This package contains the XSettings daemon for LXDE, the Lightweight X11 
Desktop Environment. It allows XSettings aware applications (all GTK+ 2 
and GNOME 2 applications) to be informed instantly of changes in LXDE 
configuration, such as theme name, default font and so on.


%prep
%setup -q
%patch0 -p1 -b .syconfig
%patch10 -p1 -b .vendor


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT  INSTALL='install -p'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#FIXME: add ChangeLog and NEWS if there is content
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%dir %{_sysconfdir}/lxde/
%config(noreplace) %{_sysconfdir}/lxde/config
%{_mandir}/man1/lxde-settings.1.*


%changelog
* Fri Nov 27 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Wed Nov 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-5
- Switch to Clearlooks as it's both upstream's and vendor's new GTK theme

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-3
- Remove requirement for lxde-common

* Wed Apr 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-2
- Require system-icon-theme instead of fedora-icon-theme
- Drop unnecessary obsoletes and provides

* Tue Apr 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-1
- Initial Fedora package
